%\documentclass[media=screen,bibstyle=basic]{LCThesis}           % Highlight hyperlinks (for online publishing)
\documentclass[media=print,bibstyle=basic]{LCThesis}            % Do not highlight hyperlinks (for printing)
%\documentclass[media=screen,open=any,bibstyle=basic]{LCThesis}  % Exclude empty pages (for draft version)

% Set LCThesis class parameters
\LCSetTitle{Algorithms for Advanced Motion Control Using Permanent Magnet Synchronous Motors and Brushless DC Motors}
\LCSetAuthor{Lukáš Černý}
\LCSetDegree{Master's thesis}
\LCSetUniversity{Czech Technical University in Prague}
\LCSetFaculty{Faculty of Electrical Engineering}
\LCSetDepartment{Department of Control Engineering}	
\LCSetSupervisor{doc. Ing. Zdeněk Hurák, Ph.D.}
\LCSetMonth{August}
\LCSetYear{2020}

% Set LCThesis class sources
%\LCAddCoverImage{figs/cover_image/pracka.png}
\LCAddUniversityLogo{figs/ctu_logo/symbol_cvut.pdf}
\LCAddUniversityLogoBW{figs/ctu_logo/symbol_cvut_cb.pdf}
\LCAddUniversityLogoNeg{figs/ctu_logo/symbol_cvut_cb_negativ.pdf}
\LCAddAssignment{pdf_pages/assignment_en.pdf}
\LCAddAcknowledgements{tex_src/acknowledgments.tex}
\LCAddAbstractEn{tex_src/abstract_en.tex}
\LCAddAbstractCs{tex_src/abstract_cs.tex}
\LCAddKeywordsEn{tex_src/keywords_en.tex}
\LCAddKeywordsCs{tex_src/keywords_cs.tex}
\LCAddBibliography{bibliography.bib}
\LCAddAcronyms{tex_src/acronyms.tex}
\LCAddListOfSymbols{tex_src/list_of_symbols.tex}
\makeatletter


% Document content
\begin{document}

	% Add initial pages
	\begin{frontmatter}
		%\LCPrintCoverPageBasic
		%\LCPrintCoverPageFancy
		\LCPrintTitlePage
		\LCPrintAssignment
		\LCPrintDeclaration
		\LCPrintAcknowledgements
		\LCPrintAbstract
		\LCPrintToc		% Table of contents.
		%\LCPrintLof	% List of figures.
		%\LCPrintLot	% List of tables.
		%\LCPrintLoa	% List of algorithms.
		\LCPrintAcronyms		
		%\LCPrintListOfSymbols
	\end{frontmatter}
	
	% Add chapters
	\input{tex_src/chap01_introduction.tex}
	\input{tex_src/chap02_pmsm_motors.tex}
	\input{tex_src/chap03_control_for_pmsm.tex}
	\input{tex_src/chap04_simulation.tex}
	\input{tex_src/chap05_implementation.tex}
	\input{tex_src/chap07_conclusion.tex}
	
	% Add appendices
	\begin{appendices}
		\input{tex_src/app01_notes_on_pmsm}
		\input{tex_src/app02_mpc_condensed}
		%\input{tex_src/app03_attached_files}
	\end{appendices}
	
	% Print bibliography
	\LCPrintBibliography
	
\end{document}
